# fswatcher.h File Reference

## Classes

class | wxFileSystemWatcher
| The wxFileSystemWatcher class allows to receive notifications of file system changes. More...
class | wxFileSystemWatcherEvent
| A class of events sent when a file system event occurs. More...

## Enumerations

enum | wxFSWFlags { wxFSW_EVENT_CREATE = 0x01, wxFSW_EVENT_DELETE = 0x02, wxFSW_EVENT_RENAME = 0x04, wxFSW_EVENT_MODIFY = 0x08, wxFSW_EVENT_ACCESS = 0x10, wxFSW_EVENT_WARNING = 0x20, wxFSW_EVENT_ERROR = 0x40, wxFSW_EVENT_ALL }
| These are the possible types of file system change events. More...

## Enumeration Type Documentation

enum wxFSWFlags

These are the possible types of file system change events.

All of these events are reported on all supported platforms.

Since:
  2.9.1

Enumerator:

  wxFSW_EVENT_CREATE | File or directory was created.
  wxFSW_EVENT_DELETE | File or directory was deleted.
  wxFSW_EVENT_RENAME | File or directory was renamed.
  wxFSW_EVENT_MODIFY | File or directory was modified.
  wxFSW_EVENT_ACCESS | File or directory was accessed.
  wxFSW_EVENT_WARNING | A warning condition arose.
  wxFSW_EVENT_ERROR | An error condition arose.
  wxFSW_EVENT_ALL |

|  | [ top ]